gnutls_pkcs11_type_get_name(3)

NAME
gnutls_pkcs11_type_get_name - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

const char * gnutls_pkcs11_type_get_name(gnutls_pkcs11_obj_type_t type);

ARGUMENTS

gnutls_pkcs11_obj_type_t type
    Holds the PKCS 11 object type, a gnutls_pkcs11_obj_type_t.

DESCRIPTION
This function will return a human readable description of the PKCS11 object type obj . It will return "Unknown" for unknown types.

RETURNS
human readable string labeling the PKCS11 object type
 type .

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/